Bug 157034 - IllegalArgumentException: protocol = http host = null
IllegalArgumentException: protocol = http host = null
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Hudson
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Jesse Glick
issues@connecteddeveloper
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-19 10:00 UTC by jrojcek
Modified: 2010-04-19 09:50 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (889 bytes, text/plain)
2009-01-19 10:00 UTC, jrojcek
Details
stacktrace (775 bytes, text/plain)
2009-04-13 13:42 UTC, Ivan Sidorkin
Details
stacktrace (3.45 KB, text/plain)
2010-04-19 09:49 UTC, hh2k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jrojcek 2009-01-19 10:00:31 UTC
Build: NetBeans IDE Dev (Build cdev-152-on-090118)
VM: Java HotSpot(TM) Server VM, 10.0-b19, Java(TM) SE Runtime Environment, 1.6.0_04-b12
OS: Windows XP, 5.1, x86

User Comments:
jrojcek: I clicked "Add a new Hudson instance" node in the Services tab.



Stacktrace: 
java.lang.IllegalArgumentException: protocol = http host = null
        at sun.net.spi.DefaultProxySelector.select(DefaultProxySelector.java:146)
        at org.netbeans.core.NbProxySelector.select(NbProxySelector.java:123)
        at sun.net.www.protocol.http.HttpURLConnection.plainConnect(HttpURLConnection.java:724)
        at sun.net.www.protocol.http.HttpURLConnection.connect(HttpURLConnection.java:654)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:977)
        at sun.net.www.protocol.http.HttpURLConnection.getHeaderField(HttpURLConnection.java:2052)
Comment 1 jrojcek 2009-01-19 10:00:40 UTC
Created attachment 75971 [details]
stacktrace
Comment 2 Jesse Glick 2009-01-23 18:53:15 UTC
cdev #cf4f6dd327d6
Comment 3 Quality Engineering 2009-03-17 08:38:55 UTC
Integrated into 'main-golden', will be available in build *200903170201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/cf4f6dd327d6
User: Jesse Glick <jglick@netbeans.org>
Log: #157034: IAE opening dialog to add a Hudson instance.
Comment 4 Ivan Sidorkin 2009-04-13 13:42:46 UTC
Build: NetBeans IDE Dev (Build 200904130201)
VM: Java HotSpot(TM) Client VM, 11.3-b02, Java(TM) SE Runtime Environment, 1.6.0_13-b02
OS: Windows XP, 5.1, x86

User Comments: 


Stacktrace: 
java.lang.IllegalArgumentException: protocol = http host = null
        at sun.net.spi.DefaultProxySelector.select(DefaultProxySelector.java:146)
        at org.netbeans.core.NbProxySelector.select(NbProxySelector.java:123)
        at sun.net.www.protocol.http.HttpURLConnection.plainConnect(HttpURLConnection.java:788)
        at sun.net.www.protocol.http.HttpURLConnection.connect(HttpURLConnection.java:718)
        at sun.net.www.protocol.http.HttpURLConnection.getInputStream(HttpURLConnection.java:1041)
        at org.netbeans.modules.mobility.jsr172.wizard.WsdlRetriever.run(WsdlRetriever.java:212)
Comment 5 Ivan Sidorkin 2009-04-13 13:42:50 UTC
Created attachment 79975 [details]
stacktrace
Comment 6 Jesse Glick 2009-04-13 16:18:24 UTC
Ivan - your latest stack trace is a bug in mobility component, so please refile there.
Comment 7 Ivan Sidorkin 2009-04-13 16:30:48 UTC
I filed Issue 162522
Comment 8 hh2k 2010-04-19 09:49:55 UTC
Created attachment 97602 [details]
stacktrace


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo